import { createRouter, createWebHistory } from 'vue-router'
import Login from "@/views/main/login/Login.vue";
import PolicyRegulationInformation
  from "@/views/main/c-views/policy-and-regulation-manage/policy-regulation-information/PolicyRegulationInformation.vue";
import MemorandumManage from "@/views/main/c-views/policy-and-regulation-manage/memorandum-manage/MemorandumManage.vue";
import CityCreditInformationPlatformSearch
  from "@/views/main/c-views/credit-information/city-credit-information-plaform-search/CityCreditInformationPlatformSearch.vue";
import RelativePersonSearch
  from "@/views/main/c-views/credit-information/commission-credit-information-database-search/relative-person-search/RelativePersonSearch.vue";
import MatterSearch
  from "@/views/main/c-views/credit-information/commission-credit-information-database-search/matter-search/MatterSearch.vue";
import CommissionThreeInventoryInformationManage
  from "@/views/main/c-views/credit-information/commission-three-inventory-information-manage/CommissionThreeInventoryInformationManage.vue";
import CommissionCreditInformationManage
  from "@/views/main/c-views/credit-information/commission-credit-information-manage/CommissionCreditInformationManage.vue";
import RewardsAndPunishmentsMeasureManage
  from "@/views/main/c-views/combined-rewards-and-punishments/rewards-and-punishments-measure-manage/RewardsAndPunishmentsMeasureManage.vue";
import combinedRewardAndPunishmentsMeasureManage
  from "@/views/main/c-views/combined-rewards-and-punishments/combined-rewards-and-punishments-case-information/CombinedRewardAndPunishmentsMeasureManage.vue";
import DataImputationPush from "@/views/main/c-views/credit-data/data-imputation-push/DataImputationPush.vue";
import ApplyInformation from "@/views/main/c-views/credit-data/apply-information/ApplyInformation.vue";
import CreditRepair from "@/views/main/c-views/credit-data/credit-repair/CreditRepair.vue";
import CombinedRewardsAndPunishments
  from "@/views/main/c-views/credit-data/combined-rewards-and-punishments/CombinedRewardsAndPunishments.vue";
import DataLog from "@/views/main/c-views/credit-data/data-log/DataLog.vue";
import UserManage from "@/views/main/c-views/system-manage/user-manage/UserManage.vue";
import UnitManage from "@/views/main/c-views/system-manage/unit-manage/UnitManage.vue";
import UserLog from "@/views/main/c-views/system-manage/user-log/UserLog.vue";
import SystemExplain from "@/views/main/c-views/system-manage/system-explain/SystemExplain.vue";
const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path:'/',
      redirect:'/login'
    },
    {
      path:'/login',
      name: 'login',
      component:Login
    },
    {
      path: '/main',
      name: 'main',
      component:() => import('../views/main/Main.vue'),
      children:[
        {path: '',component:() => import('../views/main/MainNotFound.vue')},
        {
          path: '/main/policy-regulation-information',
          name: 'policy-regulation-information',
          component:PolicyRegulationInformation,
        },
        {
          path: '/main/memorandum-manage',
          name: 'memorandum-manage',
          component:MemorandumManage
        },
        {
          path: '/main/city-credit-information-platform-search',
          name: 'city-credit-information-platform-search',
          component:CityCreditInformationPlatformSearch
        },
        {
          path: '/main/relative-person-search',
          name: 'relative-person-search',
          component:RelativePersonSearch
        },
        {
          path: '/main/matter-search',
          name: 'matter-search',
          component:MatterSearch
        },
        {
          path: '/main/commission-three-inventory-information-manage',
          name: 'commission-three-inventory-information-manage',
          component:CommissionThreeInventoryInformationManage
        },
        {
          path: '/main/commission-credit-information-manage',
          name: 'commission-credit-information-manage',
          component:CommissionCreditInformationManage
        },
        {
          path: '/main/rewards-and-punishments-measure-manage',
          name: 'rewards-and-punishments-measure-manage',
          component:RewardsAndPunishmentsMeasureManage
        },
        {
          path: '/main/combined-reward-and-punishments-measure-manage',
          name: 'combined-reward-and-punishments-measure-manage',
          component:combinedRewardAndPunishmentsMeasureManage
        },
        {
          path: '/main/combined-reward-and-punishments-measure-manage',
          name: 'combined-reward-and-punishments-measure-manage',
          component:combinedRewardAndPunishmentsMeasureManage
        },
        {
          path: '/main/data-imputation-push',
          name: 'data-imputation-push',
          component:DataImputationPush
        },
        {
          path: '/main/apply-information',
          name: 'apply-information',
          component:ApplyInformation
        },
        {
          path: '/main/credit-repair',
          name: 'credit-repair',
          component:CreditRepair
        },
        {
          path: '/main/combined-rewards-and-punishments',
          name: 'combined-rewards-and-punishments',
          component:CombinedRewardsAndPunishments
        },
        {
          path: '/main/data-log',
          name: 'data-log',
          component:DataLog
        },
        {
          path: '/main/user-manage',
          name: 'user-manage',
          component:UserManage
        },
        {
          path: '/main/unit-manage',
          name: 'unit-manage',
          component:UnitManage
        },
        {
          path: '/main/user-log',
          name: 'user-log',
          component:UserLog
        },
        {
          path: '/main/system-explain',
          name: 'system-explain',
          component:SystemExplain
        },
      ]
    }
  ]
})

export default router
